## org.h2.command.ddl
Class DropView

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand
                  org.h2.command.ddl.DropView

    public class DropView

extends SchemaCommand

This class represents the statement DROP VIEW

Field Summary

Fields inherited from class org.h2.command.ddl.DefineCommand
`transactional`

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`DropView(Session session, Schema schema)`

Method Summary
`void` `setDropAction(int dropAction)`
`void` `setIfExists(boolean b)`
`void` `setViewName(java.lang.String viewName)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.SchemaCommand
`getSchema`

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta, setTransactional`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropView

    public DropView(Session session,
                    Schema schema)

Method Detail

### setIfExists

    public void setIfExists(boolean b)

### setDropAction

    public void setDropAction(int dropAction)

### setViewName

    public void setViewName(java.lang.String viewName)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count